﻿using System;
using System.Threading;

using GHIElectronics.TinyCLR.Devices.Gpio;

namespace TCLR_NETDUINO3_BLINK
{
    class Program
    {
        static int PinNumber(char port, byte pin)
        {
            if (port < 'A' || port > 'E')
                throw new ArgumentException();

            return ((port - 'A') * 16) + pin;
        }

        static void Main()
        {
            var gpio = GpioController.GetDefault();

            GpioPin led = gpio.OpenPin(PinNumber('A', 10));
            led.SetDriveMode(GpioPinDriveMode.Output);


            while (true)
            {
                led.Write(GpioPinValue.High);
                Thread.Sleep(1000);
                led.Write(GpioPinValue.Low);
                Thread.Sleep(1000);
            }
        }
    }
}

